package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFDB8Response {

    @Parameter(name = "AMOUNT")
    Double amount();

    @Parameter(name = "CARDEXPIRYDATE")
    String cardexpirydate();

    @Parameter(name = "CARDNUMBER")
    String cardnumber();

    @Parameter(name = "REFERENCENUMBER")
    String referencenumber();

    @Parameter(name = "RESPONSECODE")
    String responsecode();

    @Parameter(name = "RESULT")
    String result();

    @Parameter(name = "TRANSACTIONTYPE")
    Long transactiontype();

}